# Uses of Class
org.apache.sysds.runtime.controlprogram.federated.MatrixLineagePair

Packages that use MatrixLineagePair
Package
Description
org.apache.sysds.runtime.controlprogram.context
org.apache.sysds.runtime.controlprogram.federated

## Uses of MatrixLineagePair in org.apache.sysds.runtime.controlprogram.context

Methods in org.apache.sysds.runtime.controlprogram.context that return MatrixLineagePair
Modifier and Type
Method
Description
`MatrixLineagePair`
ExecutionContext.`getMatrixLineagePair(String varname)`
`MatrixLineagePair`
ExecutionContext.`getMatrixLineagePair(CPOperand cpo)`

## Uses of MatrixLineagePair in org.apache.sysds.runtime.controlprogram.federated

Methods in org.apache.sysds.runtime.controlprogram.federated that return MatrixLineagePair
Modifier and Type
Method
Description
`static MatrixLineagePair`
MatrixLineagePair.`of(MatrixObject mo, LineageItem li)`
Methods in org.apache.sysds.runtime.controlprogram.federated with parameters of type MatrixLineagePair
Modifier and Type
Method
Description
`FederatedRequest`
FederationMap.`broadcast(MatrixLineagePair moLin)`
`FederatedRequest[]`
FederationMap.`broadcastSliced(MatrixLineagePair moLin, boolean transposed)`
`FederatedRequest[]`
FederationMap.`broadcastSliced(MatrixLineagePair moLin, boolean isFrame, int[][] ix)`